Package org.apache.sysds.runtime.lineage

# Class LineageRewriteReuse

java.lang.Object
org.apache.sysds.runtime.lineage.LineageRewriteReuse

public class LineageRewriteReuse extends Object

## Constructor Summary

Constructors
Constructor
Description
`LineageRewriteReuse()`

## Method Summary

Modifier and Type
Method
Description
`static boolean`
`executeRewrites(Instruction curr, ExecutionContext ec)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LineageRewriteReuse

public LineageRewriteReuse()

## Method Details

### executeRewrites

public static boolean executeRewrites(Instruction curr, ExecutionContext ec)